package cn.efunbox.manage.base.entity;

import cn.efunbox.manage.base.enums.BaseStatusEnum;
import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * Department
 * Created by wangys on 2019/09/07
 */
@DynamicInsert
@DynamicUpdate
@ToString
@Data
@Entity
@Table(name = "department")
public class Department implements Serializable {

    @Id
    private Long id;

    @Column(name = "code")
    private String code;

    @Column(name = "name")
    private String name;

    @Column(name = "full_name")
    private String fullName;

    @Column(name = "path")
    private Long path;

    @Enumerated(EnumType.ORDINAL)
    private BaseStatusEnum status;

    @Column(name = "sort")
    private Integer sort;

    @Column(name = "gmt_created")
    private Date gmtCreated;

    @Column(name = "gmt_modified")
    private Date gmtModified;

    @Transient
    private Department father;
}
