package cn.efunbox.manage.base.entity;

import cn.efunbox.manage.base.enums.BaseStatusEnum;
import cn.efunbox.manage.base.enums.CompanyTypeEnum;
import cn.efunbox.manage.base.enums.IncomeStatusEnum;
import cn.efunbox.manage.base.enums.ManageTypeEnum;
import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Objects;

/**
 * Manage
 * Created by wangys on 2019/03/07
 */
@Data
@ToString
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "manage")
public class Manage implements Serializable {

    @Id
    private Long id;

    @Column(name = "dept_id")
    private Long deptId;

    @Column(name = "dept_name")
    private String deptName;

    @Column(name = "product_id")
    private Long productId;

    @Column(name = "project_id")
    private Long projectId;

    @Column(name = "to_dept_id")
    private Long toDeptId;

    @Column(name = "to_project_id")
    private Long toProjectId;

    @Enumerated(EnumType.ORDINAL)
    private ManageTypeEnum type;

    @Column(name = "amount")
    private Double amount;

    @Column(name = "name")
    private String name;

    @Column(name = "code")
    private String code;

    @Enumerated(EnumType.ORDINAL)
    private IncomeStatusEnum incomeStatus;

    @Enumerated(EnumType.ORDINAL)
    private BaseStatusEnum status;

    @Column(name = "cost_type_id")
    private Long costTypeId;
//
//    @Enumerated(EnumType.ORDINAL)
//    private CompanyTypeEnum companyType;

    @Column(name = "remark")
    private String remark;

    @Column(name = "happen_time")
    private Date happenTime;

    @Column(name = "sort")
    private Integer sort;

    @Column(name = "gmt_created")
    private Date gmtCreated;

    @Column(name = "gmt_modified")
    private Date gmtModified;

    @Transient
    private List<Long> deptIds;

    @Transient
    private List<String> costTypes;

    @Transient
    private Department department;

    @Transient
    private Department toDepartment;

    @Transient
    private Project project;

    @Transient
    private Project toProject;

    @Transient
    private Product product;

    @Transient
    private CostType costType;

    @Transient
    private Object company;
}
