package cn.efunbox.manage.base.repository;

import cn.efunbox.manage.base.entity.Department;
import cn.efunbox.manage.base.enums.BaseStatusEnum;
import cn.efunbox.manage.common.data.BasicRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;


public interface DepartmentRepository extends BasicRepository<Department> {

    List<Department> findByPathAndStatusInOrderBySortAsc(Long path, List<BaseStatusEnum> status);

    List<Department> findByStatusOrderBySortDesc(BaseStatusEnum status);

    @Query(value = "select * from department where status = 0 and id != 0 order by path, sort", nativeQuery = true)
    List<Department> findSelect();

}
