package cn.efunbox.manage.base.controller;

import cn.efunbox.manage.base.entity.CostType;
import cn.efunbox.manage.base.service.CostTypeService;
import cn.efunbox.manage.common.result.ApiResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * CostTypeController
 * Created by wangys on 2019/03/13
 */
@RestController
@RequestMapping("/costType")
public class CostTypeController {

    @Autowired
    CostTypeService costTypeService;

    @PostMapping
    public ApiResult save(@RequestBody CostType costType){
        return costTypeService.save(costType);
    }

    @PutMapping
    public ApiResult update(@RequestBody CostType costType){
        return costTypeService.update(costType);
    }

    @GetMapping
    public ApiResult list(CostType costType){
        return costTypeService.list(costType);
    }

    @GetMapping("/{id}")
    public ApiResult getById(@PathVariable(name = "id") Long costTypeId){
        return costTypeService.getById(costTypeId);
    }

    @GetMapping("/select")
    public ApiResult select(CostType costType){
        return costTypeService.select(costType);
    }
}
