package cn.efunbox.manage.base.controller;

import cn.efunbox.manage.base.entity.Project;
import cn.efunbox.manage.base.service.ProjectService;
import cn.efunbox.manage.common.result.ApiResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * ProjectController
 * Created by wangys on 2019/03/12
 */
@RestController
@RequestMapping("/project")
public class ProjectController {

    @Autowired
    ProjectService projectService;

    @PostMapping
    public ApiResult save(@RequestBody Project project){
        return projectService.save(project);
    }

    @PutMapping
    public ApiResult update(@RequestBody Project project){
        return projectService.update(project);
    }

    @GetMapping
    public ApiResult list(Project project){
        return projectService.list(project);
    }


    @GetMapping("/{id}")
    public ApiResult findById(@PathVariable(name = "id") Long projectId){
        return projectService.getProjectById(projectId);
    }

    @GetMapping("/select")
    public ApiResult select(){
        return projectService.getSelect();
    }
}
